{% extends "main/pjax_base.html" %}

{% load static %}
{% load crispy_forms_tags %}

{% block title %}Edit profile{% endblock %}

{% block pjax_content %}
    <div class="container section">
        <div class="panel col-6 mx-auto">
            <div class="content">
                <h3 class="panel-header">Edit profile</h3>
                <form method="POST" class="form-group links-in-new-tab" enctype="multipart/form-data" action="{% url 'edit-profile' %}">
                    {% if messages %}
                        {% for message in messages %}
                            <div class="alert alert-success section">{{ message }}</div>
                        {% endfor %}
                    {% endif %}

                    {% if form.avatar.errors %}
                        <div class="alert alert-danger">
                            {{ form.avatar.errors }}
                        </div>
                    {% endif %}

                    {% if form.cover.errors %}
                        <div class="alert alert-danger">
                            {{ form.cover.errors }}
                        </div>
                    {% endif %}

                    {% csrf_token %}
                    {{ form|crispy }}
                    <button type="submit" class="btn main-btn">Edit</button>
                </form>
            </div>
        </div>
    </div>
{% endblock %}